<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <log4net>
    <root>
      <level value="ALL"/>
      <!--LEVEL層級定義ALL, DEBUG, INFO, WARN, ERROR, FATAL, OFF-->
      <appender-ref ref="console" />
      <appender-ref ref="file"/>
      <!--<appender-ref ref="ColouredConsoleAppender"/>-->
    </root>

    
    <!--控制檯控制顯示日誌-->
    <appender name="console" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date %level %logger - %message%newline" />
      </layout>
    </appender>
    <!--文件形式記錄日誌-->
    <appender name="file" type="log4net.Appender.RollingFileAppender">
      <file value="Log\" />      <!--file可以指定具體的路徑 不指定的話log被生成在項目的bin/Debug 或者 bin/Release目錄下-->
      <appendToFile value="true" />
      <rollingStyle value="Date" />
      <datePattern value="yyyy-MM-dd.lo\g"/>　<!--log檔的命名-->
      <maxSizeRollBackups value="30" /> <!--備份log文件的個數-->
      <param name="lockingModel" type="log4net.Appender.FileAppender+MinimalLock" /><!--最小鎖定模型以允許多個程序可以寫入同一個檔案-->
      <maximumFileSize value="1MB" /> <!--每個log文件最大檔案大小，如果超過將重新創建一個新的log文件，並將原來的log文件備份。-->
      <staticLogFileName value="false" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %level - %logger - %message%newline" />
      </layout>
    </appender>
    </log4net>
</configuration>